server {
  server_name panel.staging.{{ sutty }};

  include snippets/acme.conf;
  include snippets/ssl.conf;

  brotli_static on;
  gzip_static on;

  root {{ directories.staging }};

  location / {
    try_files $uri @staging;
  }

  location @staging {
    gzip on;
    gzip_proxied private;

    proxy_set_header X-Forwarded-Proto $scheme;
    proxy_set_header X-Forwarded-Ssl on;
    proxy_set_header X-Forwarded-Port $server_port;
    proxy_set_header X-Forwarded-Host $http_host;
    proxy_set_header Host $http_host;

    set $panel staging.{{ delegate.hostname }}:3100;
    proxy_pass http://$panel;
  }
}
